| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- DeconvolutedFeature

# MsXpS::libXpertMassCore::Processing::DeconvolutedFeature Struct

struct MsXpS::libXpertMassCore::Processing::DeconvolutedFeature

This struct holds the data about an analyte's neutral mass and intensity as defined by the deconvolution of one or more isotopic clusters representing different ionization levels of the same analyte. More...

Header: | `#include <MsXpS/libXpertMassCore/Processing/AbstractLowMassDeconvolver.hpp>`

- List of all members, including inherited members
- DeconvolutedFeature is part of libXpertMassCore Data processing.

## Public Functions

QString | toString(bool with_supporting_ions = true) const
MsXpS::libXpertMassCore::Processing::DeconvolutedFeature & | operator=(const MsXpS::libXpertMassCore::Processing::DeconvolutedFeature &other)

## Public Variables

MsXpS::libXpertMassCore::Processing::FitQuality | fitQuality
double | intensity
double | neutralMass
std::vector<MsXpS::libXpertMassCore::Processing::SupportingIon> | supportingIons

## Detailed Description

## Member Function Documentation

### QString DeconvolutedFeature::toString(bool with_supporting_ions = true) const

Crafts a string representing this instance and returns it. If with_supporting_ions is true, the string also reports the supporting ions contained in this instance.

### MsXpS::libXpertMassCore::Processing::DeconvolutedFeature &DeconvolutedFeature::operator=(const MsXpS::libXpertMassCore::Processing::DeconvolutedFeature &other)

Initialized this instance using other as a template.

## Member Variable Documentation

### MsXpS::libXpertMassCore::Processing::FitQuality DeconvolutedFeature::fitQuality

FitQuality computed for this deconvoluted feature.

### double DeconvolutedFeature::intensity

This intensity value is a combination of the different intensity values of the different ions of differing charges (if any) that were found to correspond to the neutral mass of the analyte characterized by this deconvoluted feature.

### double DeconvolutedFeature::neutralMass

Neutral mass of the feature.

### std::vector<MsXpS::libXpertMassCore::Processing::SupportingIon> DeconvolutedFeature::supportingIons

Set of SupportingIon instances that were determined as contributing to the deconvolution of this feature.